Index: npl/kernel/drv_dahdi/drv_dahdi.SlackBuild
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.SlackBuild	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi.SlackBuild	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -28,8 +28,10 @@
 
 #Version of the sourcefiles
-VER="2.11.1"
+#VER="2.11.1"
+VER="3.1.0"
 
 #Archive of the sourcefiles to unpack 
-SRC_ARC="dahdi-linux-$VER.tar.gz"
+#SRC_ARC="dahdi-linux-$VER.tar.gz"
+SRC_ARC="dahdi-linux-complete-$VER+$VER.tar.gz"
 
 
@@ -51,6 +53,10 @@
 
 #apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
+#patch -p1 -d $SRC_DIR < 0001-xpp-move-command_timer-functions-to-xbus-core.patch || exit 1
+#patch -p1 -d $SRC_DIR < 0002-fix-building-with-4.15-init_timer-setup_timer.patch || exit 1
+#patch -p1 -d $SRC_DIR/linux < 0001-xpp-move-command_timer-functions-to-xbus-core.patch || exit 1
+#patch -p1 -d $SRC_DIR/linux < 0002-fix-building-with-4.15-init_timer-setup_timer.patch || exit 1
+#patch -p1 -d $SRC_DIR/linux < p.patch || exit 1
+sed 's/DAHDI_BUILD_ALL:=m/DAHDI_BUILD_ALL:=n/' -i $SRC_DIR/linux/Makefile  || exit 1
 
 #AUTOMAKE: Configure
@@ -60,5 +66,5 @@
 #AUTOMAKE: Compile
 MAKE_OPTS="-j1"
-make $MAKE_OPTS || exit 1
+MODULES_EXTRA=dahdi_dummy make $MAKE_OPTS || exit 1
 
 #AUTOMAKE: Test (optional)
@@ -73,5 +79,5 @@
 #AUTOMAKE: Install
 mkdir -p /tmp/pkg &>/dev/null
-make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install >/dev/null || exit 1
+MODULES_EXTRA=dahdi_dummy make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install >/dev/null || exit 1
 popd
 
Index: npl/kernel/drv_dahdi/drv_dahdi.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.build	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi.build	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,1 +1,1 @@
-6558
+6560
Index: npl/kernel/drv_dahdi/drv_dahdi.depver
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.depver	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	409215006
+linux_src	414172001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_dahdi/drv_dahdi.md5
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.md5	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,7 +1,9 @@
 7ab7b781c0eeba1522c56f49222d2627  ./dahdi
 af96917e15eebc36519948133ec7e36b  ./dahdi-linux-2.11.1.tar.gz
-e540feac13634bddc58f1be00127c894  ./drv_dahdi_dev.pkg
-5e9f8e5c8dfe0dd03ebb650c4d164cb7  ./drv_dahdi.pkg
-8aeaed44b83e1ed8f56a6981afad6898  ./drv_dahdi.SlackBuild
-8c7b8f18ddd3d5debec74676d0aa8e5d  ./drv_dahdi.SlackBuild.log.gz
+0e0a7f18bda5f97dcd22369645234231  ./dahdi-linux-complete-3.0.0+3.0.0.tar.gz
+04f04b7986ad5fedd5d5602d55764015  ./dahdi-linux-complete-3.1.0+3.1.0.tar.gz
+0cc7dd576f609e0b71575ded975151ee  ./drv_dahdi_dev.pkg
+86471f77eb0bfec762e195b111ae160a  ./drv_dahdi.pkg
+355b424b5e6dbea5e7888c316f26d16c  ./drv_dahdi.SlackBuild
+6979b57c5166b7bf29586e8245ae036e  ./drv_dahdi.SlackBuild.log.gz
 b5476f7778add5f5e85a4c898da3ba49  ./post.dahdi
Index: npl/kernel/drv_dahdi/drv_dahdi.version
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.version	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi.version	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,1 +1,1 @@
-2.11.1
+3.1.0
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,1 +1,1 @@
-6558
+6560
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.version
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.version	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.version	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
@@ -1,1 +1,1 @@
-2.11.1
+3.1.0
